"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _native = _interopRequireDefault(require("styled-components/native"));

var _styledSystem = require("styled-system");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const SUPPORTED_RATIOS = {
  "1x1": "100%",
  "4x3": "75%",
  "16x9": "56.25%",
  "21x9": "42.857143%",
  "36x9": "25%"
};

const StyledBox = _native.default.View((0, _styledSystem.compose)(_styledSystem.layout, _styledSystem.space, _styledSystem.position));

StyledBox.defaultProps = {
  position: "relative",
  width: "100%"
};

const StyledBoxHolder = _native.default.View((0, _styledSystem.compose)(_styledSystem.layout, _styledSystem.space, _styledSystem.position));

StyledBoxHolder.defaultProps = {
  width: "100%"
};

const StyledBoxConttent = _native.default.View((0, _styledSystem.compose)(_styledSystem.layout, _styledSystem.space, _styledSystem.position));

StyledBoxConttent.defaultProps = {
  width: "100%",
  height: "100%",
  overflow: "hidden",
  position: "absolute",
  top: "0",
  right: "0",
  left: "0"
};
const defaultProps = {
  ratio: "16x9"
};

const RatioBox = props => {
  var _SUPPORTED_RATIOS$rat;

  const {
    ratio,
    children
  } = props;
  return /*#__PURE__*/React.createElement(StyledBox, {
    testID: "ratiobox",
    height: "auto"
  }, /*#__PURE__*/React.createElement(StyledBoxHolder, {
    paddingTop: (_SUPPORTED_RATIOS$rat = SUPPORTED_RATIOS[ratio]) !== null && _SUPPORTED_RATIOS$rat !== void 0 ? _SUPPORTED_RATIOS$rat : SUPPORTED_RATIOS["16x9"],
    testID: "ratiobox_placeholder"
  }), /*#__PURE__*/React.createElement(StyledBoxConttent, {
    testID: "ratiobox_content"
  }, children));
};

RatioBox.defaultProps = defaultProps;
var _default = RatioBox;
exports.default = _default;
//# sourceMappingURL=RatioBox.js.map