import * as React from "react";
import Menu from "react-native-simple-elements/components/Menu";
import ImageButton from "react-native-simple-elements/components/ImageButton";
import { Text } from "react-native-simple-elements/components/Typography";
import { View } from "react-native";
const defaultProps = {
  circle: false
};

const AuthorizedUserMenu = props => {
  const {
    loggedInUser,
    circle
  } = props;
  const {
    firstName,
    avatarUrl
  } = loggedInUser || {};
  const [isOpen, setIsOpen] = React.useState(false);

  const openMenu = () => {
    setIsOpen(true);
  };

  const closeMenu = () => {
    setIsOpen(false);
  };

  return /*#__PURE__*/React.createElement(Menu, {
    visible: isOpen,
    onDismiss: closeMenu,
    anchor: /*#__PURE__*/React.createElement(ImageButton, {
      source: {
        uri: avatarUrl
      },
      circle: circle,
      onPress: openMenu
    })
  }, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, null, firstName || "")), /*#__PURE__*/React.createElement(Menu.Item, {
    title: "Item 1"
  }), /*#__PURE__*/React.createElement(Menu.Item, {
    title: "Item 2"
  }), (loggedInUser === null || loggedInUser === void 0 ? void 0 : loggedInUser.accessToken) && /*#__PURE__*/React.createElement(Menu.Item, {
    title: "Item 3"
  }));
};

AuthorizedUserMenu.defaultProps = defaultProps;
export default AuthorizedUserMenu;
//# sourceMappingURL=AuthorizedUserMenu.js.map