import * as React from "react";
import Carousel, { LeftArrow, RightArrow } from "react-native-simple-elements/components/Carousel";
import Image from "react-native-simple-elements/components/Image/Image";
import RatioBox from "../RatioBox";

const defaultRenderItem = props => {
  const {
    index
  } = props;
  return /*#__PURE__*/React.createElement(Image, {
    key: index,
    source: {
      uri: "https://via.placeholder.com/350x150"
    },
    style: {
      width: 250,
      height: 150
    }
  });
};

const defaultProps = {
  containerRatio: "16x9",
  data: []
};

const CarouselBanner = props => {
  var _props$renderItem;

  const {
    containerRatio,
    sliderWidth,
    itemWidth,
    data
  } = props;

  const _imageCarouselRef = /*#__PURE__*/React.createRef();

  const [isShowCarousel, setIsShowCarousel] = React.useState(false);
  React.useEffect(() => {
    setTimeout(() => {
      setIsShowCarousel(true);
    }, 150);
  }, []);
  const renderItem = (_props$renderItem = props.renderItem) !== null && _props$renderItem !== void 0 ? _props$renderItem : defaultRenderItem;
  return /*#__PURE__*/React.createElement(RatioBox, {
    ratio: containerRatio
  }, isShowCarousel && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(LeftArrow, {
    onPress: e => {
      var _imageCarouselRef$cur;

      return (_imageCarouselRef$cur = _imageCarouselRef.current) === null || _imageCarouselRef$cur === void 0 ? void 0 : _imageCarouselRef$cur.snapToPrev();
    }
  }), /*#__PURE__*/React.createElement(Carousel, {
    sliderWidth: sliderWidth,
    itemWidth: itemWidth !== null && itemWidth !== void 0 ? itemWidth : sliderWidth,
    data: data,
    renderItem: ({
      item,
      index
    }) => renderItem({
      item,
      index
    }),
    ref: _imageCarouselRef,
    loop: true
  }), /*#__PURE__*/React.createElement(RightArrow, {
    onPress: e => {
      var _imageCarouselRef$cur2;

      return (_imageCarouselRef$cur2 = _imageCarouselRef.current) === null || _imageCarouselRef$cur2 === void 0 ? void 0 : _imageCarouselRef$cur2.snapToNext();
    }
  })));
};

CarouselBanner.defaultProps = defaultProps;
export default CarouselBanner;
//# sourceMappingURL=CarouselBanner.js.map