function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from "react";
import { fullTestProps } from "../utils/UITestingHelper";

const FieldValidator = props => {
  const {
    fieldComponent: FieldComponent,
    touched,
    values,
    onChange,
    onBlur,
    onFocus,
    isTrim,
    name,
    errors,
    ...restProps
  } = props;
  const error = errors[name] || {};
  React.useEffect(() => {
    if (error.error && error.errorMsg) {// do something
    } // eslint-disable-next-line

  }, [error.error, error.errorMsg]);

  const handleChange = (value, item) => {
    if (isTrim && value) {
      value = value.trim();
    }

    onChange(name)(value, item);
  };

  return /*#__PURE__*/React.createElement(FieldComponent, _extends({
    errorMsg: error.errorMsg,
    value: values[name],
    onChange: handleChange,
    onBlur: onBlur(name),
    onFocus: onFocus(name)
  }, fullTestProps("field-validator"), restProps));
};

export default FieldValidator;
//# sourceMappingURL=FieldValidator.js.map