import * as React from "react";
import styled from "styled-components";
import useScrollbarSize from "react-scrollbar-size";
import Appbar from "react-native-simple-elements/components/Appbar";
import AuthorizedUserMenu from "../AuthorizedUserMenu";
import AccountIcon from "@mdi/svg/svg/account.svg";
const HeaderContainer = styled.div({
  zIndex: 3
});
const defaultProps = {
  isUserIconCircle: true
};

const SimpleHeader = props => {
  const {
    title,
    backButtonIcon,
    onBackButtonClick,
    children,
    loggedInUser,
    isUserIconCircle,
    onLoginClick
  } = props;
  const {
    width: scrollbarSize
  } = useScrollbarSize();

  const _handleBackActionPress = () => {
    if (typeof onBackButtonClick === "function") {
      onBackButtonClick();
    }
  };

  const _handleLoginClick = () => {
    if (typeof onLoginClick === "function") {
      onLoginClick();
    }
  };

  return /*#__PURE__*/React.createElement(HeaderContainer, {
    style: {
      marginRight: scrollbarSize || 0
    }
  }, /*#__PURE__*/React.createElement(Appbar.Header, null, /*#__PURE__*/React.createElement(Appbar.BackAction, {
    icon: backButtonIcon,
    onPress: _handleBackActionPress
  }), /*#__PURE__*/React.createElement(Appbar.Content, {
    title: title
  }), children, loggedInUser !== null && loggedInUser !== void 0 && loggedInUser.userId ? /*#__PURE__*/React.createElement(AuthorizedUserMenu, {
    circle: isUserIconCircle,
    loggedInUser: loggedInUser
  }) : /*#__PURE__*/React.createElement(Appbar.Action, {
    icon: AccountIcon,
    onPress: _handleLoginClick
  })));
};

SimpleHeader.defaultProps = defaultProps;
export default SimpleHeader;
//# sourceMappingURL=SimpleHeader.js.map