import * as React from "react";
import TextInput from "react-native-simple-elements/components/TextInput";
import HelperText from "react-native-simple-elements/components/HelperText";

const ValidationTextInput = props => {
  const {
    value,
    onChange,
    errorMessage,
    secureTextEntry
  } = props;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(TextInput, {
    value: value,
    onChangeText: onChange,
    secureTextEntry: secureTextEntry
  }), /*#__PURE__*/React.createElement(HelperText, {
    type: "error",
    visible: !!errorMessage
  }, errorMessage));
};

ValidationTextInput.defaultProps = {
  secureTextEntry: false
};
export default ValidationTextInput;
//# sourceMappingURL=ValidationTextInput.js.map