export var __esModule: boolean;
declare var _default: typeof DatePickerItem;
export default _default;
declare const DatePickerItem_base: any;
declare class DatePickerItem extends DatePickerItem_base {
    [x: string]: any;
    constructor(props: any);
    animating: boolean;
    touchY: number;
    translateY: number;
    currentIndex: number;
    moveDateCount: number;
    _moveToTimer: NodeJS.Timeout;
    state: {
        translateY: number;
        marginTop: number;
    };
    /**
     * Render a date DOM object
     * @param  {Object} date
     * @return {Object}
     */
    renderDatepickerItem(date: any, index: any): any;
    /**
     * Sliding date picker touch screen event
     * @param  {Object} event Event object
     * @return {undefined}
     */
    handleContentTouch(event: any): undefined;
    /**
     * Sliding date picker mouse event
     * @param  {Object} event Event object
     * @return {undefined}
     */
    handleContentMouseDown(event: any): undefined;
    handleContentMouseMove(event: any): void;
    handleContentMouseUp(event: any): void;
    UNSAFE_componentWillMount(): void;
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    /**
     * Optimization component, Prevents unnecessary rendering
     * Only value or state change should re-rendering
     *
     * @param  {Object} nextProps next props
     * @param  {Object} nextState next state
     * @return {Boolean}          Whether re-rendering
     */
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    componentWillUnmount(): void;
    _iniDates(date: any): void;
    _updateDates(direction: any): void;
    _checkIsUpdateDates(direction: any, translateY: any): boolean;
    /**
     * Clear the transition style of the object
     * @param  {Dom}     obj     Specified object
     * @return {undefined}
     */
    _clearTransition(obj: any): undefined;
    /**
     * Swipe to the next date
     * @param  {number} direction Sliding direction
     * @return {undefined}
     */
    _moveToNext(direction: number): undefined;
    /**
     * Add sliding animation
     * @param  {number} angle angle
     * @return {undefined}
     */
    _moveTo(currentIndex: any): undefined;
    handleStart(event: any): void;
    handleMove(event: any): void;
    handleEnd(event: any): void;
    render(): any;
    viewport: any;
}
